Package ghidra.app.util.bin.format.dwarf4.encoding

# Class DWARFEncoding

java.lang.Object
ghidra.app.util.bin.format.dwarf4.encoding.DWARFEncoding

public final class DWARFEncoding extends Object
DWARF attribute encoding consts from www.dwarfstd.org/doc/DWARF4.pdf

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DW_ATE_address`
  `static final int`
  `DW_ATE_boolean`
  `static final int`
  `DW_ATE_complex_float`
  `static final int`
  `DW_ATE_decimal_float`
  `static final int`
  `DW_ATE_edited`
  `static final int`
  `DW_ATE_float`
  `static final int`
  `DW_ATE_hi_user`
  `static final int`
  `DW_ATE_imaginary_float`
  `static final int`
  `DW_ATE_lo_user`
  `static final int`
  `DW_ATE_numeric_string`
  `static final int`
  `DW_ATE_packed_decimal`
  `static final int`
  `DW_ATE_signed`
  `static final int`
  `DW_ATE_signed_char`
  `static final int`
  `DW_ATE_signed_fixed`
  `static final int`
  `DW_ATE_unsigned`
  `static final int`
  `DW_ATE_unsigned_char`
  `static final int`
  `DW_ATE_unsigned_fixed`
  `static final int`
  `DW_ATE_UTF`
  `static final int`
  `DW_ATE_void`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DWARFEncoding()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getTypeName(int encoding)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DW_ATE_void

    public static final int DW_ATE_void
    See Also:
      - Constant Field Values

  - ### DW_ATE_address

    public static final int DW_ATE_address
    See Also:
      - Constant Field Values

  - ### DW_ATE_boolean

    public static final int DW_ATE_boolean
    See Also:
      - Constant Field Values

  - ### DW_ATE_complex_float

    public static final int DW_ATE_complex_float
    See Also:
      - Constant Field Values

  - ### DW_ATE_float

    public static final int DW_ATE_float
    See Also:
      - Constant Field Values

  - ### DW_ATE_signed

    public static final int DW_ATE_signed
    See Also:
      - Constant Field Values

  - ### DW_ATE_signed_char

    public static final int DW_ATE_signed_char
    See Also:
      - Constant Field Values

  - ### DW_ATE_unsigned

    public static final int DW_ATE_unsigned
    See Also:
      - Constant Field Values

  - ### DW_ATE_unsigned_char

    public static final int DW_ATE_unsigned_char
    See Also:
      - Constant Field Values

  - ### DW_ATE_imaginary_float

    public static final int DW_ATE_imaginary_float
    See Also:
      - Constant Field Values

  - ### DW_ATE_packed_decimal

    public static final int DW_ATE_packed_decimal
    See Also:
      - Constant Field Values

  - ### DW_ATE_numeric_string

    public static final int DW_ATE_numeric_string
    See Also:
      - Constant Field Values

  - ### DW_ATE_edited

    public static final int DW_ATE_edited
    See Also:
      - Constant Field Values

  - ### DW_ATE_signed_fixed

    public static final int DW_ATE_signed_fixed
    See Also:
      - Constant Field Values

  - ### DW_ATE_unsigned_fixed

    public static final int DW_ATE_unsigned_fixed
    See Also:
      - Constant Field Values

  - ### DW_ATE_decimal_float

    public static final int DW_ATE_decimal_float
    See Also:
      - Constant Field Values

  - ### DW_ATE_UTF

    public static final int DW_ATE_UTF
    See Also:
      - Constant Field Values

  - ### DW_ATE_lo_user

    public static final int DW_ATE_lo_user
    See Also:
      - Constant Field Values

  - ### DW_ATE_hi_user

    public static final int DW_ATE_hi_user
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DWARFEncoding

    public DWARFEncoding()

- ## Method Details

  - ### getTypeName

    public static String getTypeName(int encoding)